<main class="main-container">
    <div class="items">
        <header class="heading">Planned Leaves</header>
        <section class="section">
            <div *ngFor="let leave of leaves; let i = index">
                <div class="section" *ngIf="leave.type === 'planned'">
                    <span class="date">{{ leave.date }}</span>
                    <button type="button" (click)="onClick(i, 'floater')">
            make Floater
          </button>
                    <button type="button" (click)="onClick(i, 'unplanned')">
            make Unplanned
          </button>
                </div>
            </div>
        </section>
    </div>
    <div class="items">
        <header class="heading">Unplanned Leaves</header>
        <section class="section">
            <div *ngFor="let leave of leaves; let i=index">
                <div class="section" *ngIf="leave.type === 'unplanned'">
                    <span class="date">{{ leave.date }} </span>
                    <button type="button" (click)="onClick(i,'floater')">
            make Floater
          </button>
                    <button type="button" (click)="onClick(i,'planned')">
            make planned
          </button>
                </div>
            </div>
        </section>
    </div>
    <div class="items">
        <header class="heading">Floater Leaves</header>
        <section class="section">
            <div *ngFor="let leave of leaves; let i = index">
                <div class="section" *ngIf="leave.type === 'floater'">
                    <span class="date">{{ leave.date }} </span>
                    <button type="button" (click)="onClick(i,'planned')">
            make planned
          </button>
                    <button type="button" (click)="onClick(i,'unplanned')">
            make Unplanned
          </button>
                </div>
            </div>
        </section>
    </div>
</main>